<?php

namespace Teknisa\DF\Modules\Entrada\Factories;

use Doctrine\ORM\EntityManager;
    
class ProdutosXmlFactory {

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function getParamIntegracao($fornecedor) {
        $sql = "SELECT IDUTRELXMLFIL,
                  PF.IDBLOQALTPRODREL
                FROM PARAMINTEGRA PI,
                  PARAMFORNE PF
                WHERE PF.CDFORNECED = :P_CDFORNECED";
                
        $params = array("P_CDFORNECED" => $fornecedor);

        $query = $this->connection->prepare($sql);
        $query->execute($params);
        return $query->fetchAll();
    }
    
}